﻿using KioskDemo.Custom_Controls;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KioskDemo
{
    public partial class Form1 : Form
    {
        private MenuGrid grid = new MenuGrid();
        //Startup form
        public Form1()
        {
            InitializeComponent();
            
            for (int i=0; i<6; i++)
            {
                MenuPanel mp = new MenuPanel();
                mp.SetTitle("This is panel " + i);
                this.Controls.Add(mp);
                grid.AddPanel(mp); //Will force it to lay out
            }
            grid.Panels[0].SetTitle("SHOPPING CENTRE MAP");
            grid.Panels[0].SetImage("map1.png");
            grid.Panels[0].Click += Form1_Click;
            
        }

        private void Form1_Click(object sender, EventArgs e)
        {
            MapPage mp = new MapPage();
            mp.Show();
        }

        private void Form1_SizeChanged(object sender, EventArgs e)
        {
            
            //Changed the size of the form (event added in designer)
            //Must update the panels to make sure they still fit
            grid.UpdateLayout();
        }
    }
}
